Bug 53224 - CanExecute not used in ViewCells in UWP
Summary: CanExecute not used in ViewCells in UWP
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 2.3.3
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Chris King
URL:
Depends on:
Blocks:
 
Reported: 2017-03-10 16:06 UTC by EB
Modified: 2017-07-13 06:58 UTC (History)
6 users (show)

Tags: tableview ac
Is this bug a regression?: ---
Last known good build:


Attachments
Small reproduction of the bug. (295.69 KB, application/x-zip-compressed)
2017-03-10 16:06 UTC, EB
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description EB 2017-03-10 16:06:42 UTC
Created attachment 20271 [details]
Small reproduction of the bug.

In TableViews in UWP, Viewcells don't use the CanExecute event. I have a bigger project which invokes the event in a TextCell and ImageCell, but I've created a small reproduction to show the bug (no event invoked, just a hard-coded function that returns false). I have confirmed that the bug does not exist in Android and iOS, at least on my bigger project and in the reproduction. Tested in both Forms 2.3.3.193 and 2.3.4.212-pre4

I will admit to not testing this with any other controls that have a Command Binding such as buttons, or ViewCells in a ListView, and I have not tested earlier releases of Xamarin Forms. I have also not looked into a work-a-round using a custom renderer. If I get some time to work on this though, I will update this thread.

Hopefully my attachment works, it's my first time submitting a bug report.
Comment 1 Paul DiPietro [MSFT] 2017-03-10 17:46:55 UTC
Thanks for the reproduction; there is a noted difference in behavior between UWP and the other platforms, and I also checked against the latest nightly build to be sure.
Comment 3 Rui Marinho 2017-03-15 10:15:26 UTC
Should be fixed on 2.3.5-pre1
Comment 4 Saurabh Paunikar 2017-07-13 06:58:55 UTC
Verified on xamarin.form version 2.3.5.256-pre6

ScreenCast Link: https://www.screencast.com/t/g59IwTCn